Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface NamedDomainObjectSet

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.NamedDomainObjectSet
          java.lang.Iterable
              org.gradle.api.DomainObjectCollection
                  java.util.Collection

All Superinterfaces:
  NamedDomainObjectCollection, Iterable, DomainObjectCollection, Collection

    public interface NamedDomainObjectSet
    extends NamedDomainObjectCollection, Set

A specialisation of NamedDomainObjectCollection that also implements Set and orders objects by their inherent name.

All object equality is determined in terms of object names. That is, calling `remove()` with an object that is NOT equal to an existing object in terms of `equals`, but IS in terms of name equality will result in the existing collection item with the equal name being removed.

Parameters:
  `` - The type of element in the set

Method Summary
`Set` | `findAll(Closure spec)` {@inheritDoc}
`NamedDomainObjectSet` | `matching(Spec spec)` {@inheritDoc}
`NamedDomainObjectSet` | `matching(Closure spec)` {@inheritDoc}
`NamedDomainObjectSet` | `withType(Class type)` {@inheritDoc}

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules, matching, matching, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### findAll

    public Set findAll(Closure spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectSet matching(Spec spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectSet matching(Closure spec)

  {@inheritDoc}

### withType

    public NamedDomainObjectSet withType(Class type)

  {@inheritDoc}

Gradle API 1.1-rc-1